/**************************************************************************
  Machine Translation plugin for OmegaT(http://www.omegat.org/)

  This code is only a stub.

  Copyright (C) 2012 Yu Tang
/**************************************************************************
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 **************************************************************************/

package org.omegat.util;

public class Log {

    /**
     * Returns the path to the log file.
     */
    public static String getLogLocation() {
        return "";
    }

    /**
     * Logs what otherwise would go to System.out
     */
    public static void log(String s) {
        //
    }

    /**
     * Logs a message, retrieved from the resource bundle.
     * 
     * @param key
     *            The key of the message in the resource bundle.
     * @param parameters
     *            Parameters for the message. These are inserted by using
     *            StaticUtils.format.
     * 
     * @author Henry Pijffers (henry.pijffers@saxnot.com)
     */
    public static void logRB(String key, Object... parameters) {
        //
    }

    /**
     * Logs an Exception or Error.
     * 
     * To the log are written: - The class name of the Exception or Error - The
     * message, if any - The stack trace
     * 
     * @param throwable
     *            The exception or error to log
     * 
     * @author Henry Pijffers (henry.pijffers@saxnot.com)
     */
    public static void log(Throwable throwable) {
        //
    }

    /**
     * Writes a warning message to the log (to be retrieved from the resource
     * bundle), preceded by a line containing the warning ID.
     * 
     * While the warning message can be localised, the warning ID should not, so
     * developers can determine what warning was given by looking at the warning
     * ID, instead of trying to interpret localised messages.
     * 
     * @param key
     *            The key of the warning message in the resource bundle
     * @param parameters
     *            Parameters for the warning message. These are inserted by
     *            using StaticUtils.format.
     * 
     * @author Henry Pijffers (henry.pijffers@saxnot.com)
     */
    public static void logWarningRB(String key, Object... parameters) {
        //
    }

    /**
     * Writes the specified info message to the log, preceded by a line
     * containing the info ID.
     * 
     * While the info message can be localised, the info ID should not, so
     * developers can determine what info was given by looking at the info ID,
     * instead of trying to interpret localised messages.
     * 
     * @param id
     *            An identification string for the info
     * @param parameters
     *            Parameters for the info message. These are inserted by using
     *            StaticUtils.format.
     * 
     * @author Henry Pijffers (henry.pijffers@saxnot.com)
     * @author Alex Buloichik (alex73mail@gmail.com)
     */
    public static void logInfoRB(String id, Object... parameters) {
        //
    }

    /**
     * Writes an error message to the log (to be retrieved from the resource
     * bundle), preceded by a line containing the error ID.
     * 
     * While the error message can be localised, the error ID should not, so
     * developers can determine what error was given by looking at the error ID,
     * instead of trying to interpret localised messages.
     * 
     * @param id
     *            The key of the error message in the resource bundle
     * @param parameters
     *            Parameters for the error message. These are inserted by using
     *            StaticUtils.format.
     * 
     * @author Henry Pijffers (henry.pijffers@saxnot.com)
     */
    public static void logErrorRB(String key, Object... parameters) {
        //
    }

    /**
     * Writes an error message to the log (to be retrieved from the resource
     * bundle), preceded by a line containing the error ID.
     * 
     * While the error message can be localised, the error ID should not, so
     * developers can determine what error was given by looking at the error ID,
     * instead of trying to interpret localised messages.
     * 
     * @param id
     *            The key of the error message in the resource bundle
     * @param parameters
     *            Parameters for the error message. These are inserted by using
     *            StaticUtils.format.
     * 
     * @author Henry Pijffers (henry.pijffers@saxnot.com)
     */
    public static void logErrorRB(Throwable ex, String key, Object... parameters) {
        //
    }
}
